Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ExportedFileList

All Superinterfaces:
  java.io.Serializable

    public interface ExportedFileList

extends java.io.Serializable

Interface `ExportedFileList` provides methods to get the exported files. These exported files exist in the temp directory. Use the command APIConst.CMD_GET_TEMP_RESULT to get them.

For example:

The URL: http://jrserver:8888//SunVMDemo/SunVMDemo.cat/invoice.cls?jrs.cmd=jrs.get_temp_result&jrs.file=11125321400.pdf

Method Summary
`java.lang.String` | `getExcelFilename()` Get the exported Excel filename in a temp directory.
`java.util.Vector` | `getHTMLFilenameList()` Get the exported HTML filename list in a temp directory.
`java.util.Vector` | `getPDFFilename()` Get the exported PDF filename in a temp directory.
`java.lang.String` | `getPSFilename()` Get the exported PS filename in a temp directory.
`java.lang.String` | `getRSTFilename()` Get the exported report result(.rst) filename in a temp directory.
`java.util.Vector` | `getRTFFilenameList()` Get the exported RTF(Rich Text Format) filename list in a temp directory.
`java.lang.String` | `getTEXTFilename()` Get the exported TEXT filename in a temp directory.
`java.util.Vector` | `getXMLFilenameList()` Get the exported XML(Extensible Markup Language) filename list in a temp directory.
`java.lang.String` | `toHttpQueryString()` Output the exported file list in the HTTP query format.

Method Detail

### getRSTFilename

    java.lang.String getRSTFilename()

  Get the exported report result(.rst) filename in a temp directory.

  Returns:
    the exported report result filename in a temp directory.

### getHTMLFilenameList

    java.util.Vector getHTMLFilenameList()

  Get the exported HTML filename list in a temp directory.

  Returns:
    the exported HTML filename list in temp directory.

### getPDFFilename

    java.util.Vector getPDFFilename()

  Get the exported PDF filename in a temp directory.

  Returns:
    the exported PDF filename in a temp directory.

### getTEXTFilename

    java.lang.String getTEXTFilename()

  Get the exported TEXT filename in a temp directory.

  Returns:
    the exported TEXT filename in a temp directory.

### getExcelFilename

    java.lang.String getExcelFilename()

  Get the exported Excel filename in a temp directory.

  Returns:
    the exported Excel filename in a temp directory.

### getPSFilename

    java.lang.String getPSFilename()

  Get the exported PS filename in a temp directory.

  Returns:
    the exported PS filename in a temp directory.

### getRTFFilenameList

    java.util.Vector getRTFFilenameList()

  Get the exported RTF(Rich Text Format) filename list in a temp directory.

  Returns:
    the exported RTF filename list in a temp directory.

### getXMLFilenameList

    java.util.Vector getXMLFilenameList()

  Get the exported XML(Extensible Markup Language) filename list in a temp directory.

  Returns:
    the exported XML filename list in a temp directory.

### toHttpQueryString

    java.lang.String toHttpQueryString()

  Output the exported file list in the HTTP query format.

  For example:

  jrs.rst=11125321400.temp&jrs.html=0.css%260_1_14_0.gif%260_1.html%260_2.html %260_3.html%260_4.html%260_5.html%26&jrs.pdf=11125321400.pdf&jrs.text=11125321400.txt&

  Returns:
    the HTTP query string of the exported file list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD